<template>
  <v-btn color="primary" outlined @click="handleEntityManagement">
    Trabalho Colaborativo
    <v-icon right>mdi-account-group</v-icon>
  </v-btn>
</template>

<script>
export default {
  name: 'ButtonCollaborativeWork',
  components: {},
  data: () => ({}),
  computed: {
    activeEntityUrl() {
      console.log(this.$route.params.entityName)
      return '/entity/' + this.$route.params.entityName
    },
  },
  methods: {
    handleEntityManagement() {
      this.$router.push(`${this.activeEntityUrl}/collaborativeWork`).catch((err) => {})
    },
  },
}
</script>
